Hand over a pre-construction information
curl --request POST \
--url https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover"
headers = {"X-Session-Token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Session-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Session-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover")
.header("X-Session-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Session-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-information-revisions",
"attributes": {
"number": 2,
"cause": "handover",
"proposer": {
"acting_role": "client_and_principal_designer",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"principal_type": "users",
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"recipient": {
"acting_role": "client_and_principal_designer",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"principal_type": "users",
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"minted_at": "2023-11-07T05:31:56Z",
"document": {
"project_information": {
"description": "<string>",
"location": "<string>",
"planned_start_date": "2023-12-25",
"planned_end_date": "2023-12-25",
"existing_information": "<string>",
"client_requirements": "<string>"
},
"notifiability": {
"person_days": 1,
"working_days": 1,
"peak_workers": 1
},
"notifiability_result": {
"outcome": "notifiable",
"limb_one": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
},
"limb_two": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
}
},
"duty_holders": {
"client": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"principal_designer": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"designers": [
{
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"planning_information": {
"existing_services": {
"relevant": true,
"comments": "<string>"
},
"ground_conditions": {
"relevant": true,
"comments": "<string>"
},
"contaminated_land": {
"relevant": true,
"comments": "<string>"
},
"asbestos": {
"relevant": true,
"comments": "<string>"
},
"existing_structures": {
"relevant": true,
"comments": "<string>"
},
"hazardous_materials": {
"relevant": true,
"comments": "<string>"
},
"adjacent_land_use": {
"relevant": true,
"comments": "<string>"
},
"access_and_traffic": {
"relevant": true,
"comments": "<string>"
},
"working_hours_restrictions": {
"relevant": true,
"comments": "<string>"
},
"security": {
"relevant": true,
"comments": "<string>"
},
"environmental_constraints": {
"relevant": true,
"comments": "<string>"
},
"unexploded_ordnance": {
"relevant": true,
"comments": "<string>"
}
},
"file_log": [
{
"title": "<string>",
"reference": "<string>",
"issued_on": "2023-12-25",
"notes": "<string>"
}
],
"principal_contractor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"hazards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"description": "<string>",
"version": 123,
"associated_activity": "<string>",
"identified_by": "<string>",
"identified_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identified_on": "2023-12-25"
}
],
"attestations": [
{
"section": "<string>",
"acting_role": "client_and_principal_designer",
"attested_at": "2023-11-07T05:31:56Z",
"attested_by_type": "users",
"attested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"relationships": {
"pre_construction_information": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-informations"
}
},
"proposed_change": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-information-proposed-changes"
}
}
}
},
"jsonapi": {
"version": "1.0"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"errors": [
{
"id": "1b3f2c30-2d56-4d3a-9c44-9be9c2cbf2f0",
"status": "403",
"title": "Forbidden",
"detail": "You do not hold the grant required for this action.",
"code": "AUTH.002"
}
]
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g",
"status": "409",
"title": "Conflict",
"detail": "The request conflicts with the current state of the resource.",
"code": "CONFLICT.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Pre-Construction Information
Hand over a pre-construction information
Hand the document over to the other party, which mints revision 1. Only the Client can, and only once. The handing-over principal comes from the request, and the recipient is the nominated Principal Contractor. After handover every change goes through a proposed change.
POST
/
v3
/
pre-construction-informations
/
{pre_construction_information_id}
/
handover
Hand over a pre-construction information
curl --request POST \
--url https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover"
headers = {"X-Session-Token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Session-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Session-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover")
.header("X-Session-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ctrl-hub.com/v3/pre-construction-informations/{pre_construction_information_id}/handover")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Session-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-information-revisions",
"attributes": {
"number": 2,
"cause": "handover",
"proposer": {
"acting_role": "client_and_principal_designer",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"principal_type": "users",
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"recipient": {
"acting_role": "client_and_principal_designer",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"principal_type": "users",
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"minted_at": "2023-11-07T05:31:56Z",
"document": {
"project_information": {
"description": "<string>",
"location": "<string>",
"planned_start_date": "2023-12-25",
"planned_end_date": "2023-12-25",
"existing_information": "<string>",
"client_requirements": "<string>"
},
"notifiability": {
"person_days": 1,
"working_days": 1,
"peak_workers": 1
},
"notifiability_result": {
"outcome": "notifiable",
"limb_one": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
},
"limb_two": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
}
},
"duty_holders": {
"client": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"principal_designer": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"designers": [
{
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"planning_information": {
"existing_services": {
"relevant": true,
"comments": "<string>"
},
"ground_conditions": {
"relevant": true,
"comments": "<string>"
},
"contaminated_land": {
"relevant": true,
"comments": "<string>"
},
"asbestos": {
"relevant": true,
"comments": "<string>"
},
"existing_structures": {
"relevant": true,
"comments": "<string>"
},
"hazardous_materials": {
"relevant": true,
"comments": "<string>"
},
"adjacent_land_use": {
"relevant": true,
"comments": "<string>"
},
"access_and_traffic": {
"relevant": true,
"comments": "<string>"
},
"working_hours_restrictions": {
"relevant": true,
"comments": "<string>"
},
"security": {
"relevant": true,
"comments": "<string>"
},
"environmental_constraints": {
"relevant": true,
"comments": "<string>"
},
"unexploded_ordnance": {
"relevant": true,
"comments": "<string>"
}
},
"file_log": [
{
"title": "<string>",
"reference": "<string>",
"issued_on": "2023-12-25",
"notes": "<string>"
}
],
"principal_contractor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"hazards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"description": "<string>",
"version": 123,
"associated_activity": "<string>",
"identified_by": "<string>",
"identified_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identified_on": "2023-12-25"
}
],
"attestations": [
{
"section": "<string>",
"acting_role": "client_and_principal_designer",
"attested_at": "2023-11-07T05:31:56Z",
"attested_by_type": "users",
"attested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"relationships": {
"pre_construction_information": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-informations"
}
},
"proposed_change": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-information-proposed-changes"
}
}
}
},
"jsonapi": {
"version": "1.0"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"errors": [
{
"id": "1b3f2c30-2d56-4d3a-9c44-9be9c2cbf2f0",
"status": "403",
"title": "Forbidden",
"detail": "You do not hold the grant required for this action.",
"code": "AUTH.002"
}
]
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g",
"status": "409",
"title": "Conflict",
"detail": "The request conflicts with the current state of the resource.",
"code": "CONFLICT.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the pre-construction information resource.